#pragma once

#include "CoreMinimal.h"
#include "AnimNotifyAttachStaticMeshInfo.generated.h"

class UStaticMesh;

USTRUCT(BlueprintType)
struct FAnimNotifyAttachStaticMeshInfo
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UStaticMesh* StaticMesh;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName SocketName;

public:
	DEADBYDAYLIGHT_API FAnimNotifyAttachStaticMeshInfo();
};

FORCEINLINE uint32 GetTypeHash(const FAnimNotifyAttachStaticMeshInfo) { return 0; }
